'''TXT2TAGS SAMPLE'''

Aurelio Jargas



== Introduction ==

Welcome to the txt2tags sample file.

Here you have examples and a brief explanation of all
marks.

The first 3 lines of the this file are used as headers,
on the following format:

<pre>
line1: document title
line2: author name, email
line3: date, version
</pre>

Lines with balanced equal signs = around are titles.

== Fonts and Beautifiers ==

We have two sets of fonts:

The NORMAL type that can be improved with beautifiers.

The TYPEWRITER type that uses monospaced font for
pre-formatted text.

We will now enter on a subtitle...

=== Beautifiers ===

The text marks for beautifiers are simple, just as you
type on a plain text email message.

We use double *, /, - and _ to represent '''bold''',
''italic'', <s>strike</s> and <u>underline</u>.

The '''''bold italic''''' style is also supported as a
combination.

=== Pre-Formatted Text ===

We can put a code sample or other pre-formatted text:

<pre>
  here    is     pre-formatted
//marks// are  **not**  ``interpreted``
</pre>

And also, it's easy to put a one line pre-formatted
text:

<pre>
prompt$ ls /etc
</pre>

Or use <tt>pre-formatted</tt> inside sentences.

=== More Cosmetics ===

Special entities like email (mailto:duh@somewhere.com) and
URL ([http://www.duh.com]) are detected automagically,
as well as horizontal lines:

----

----

You can also specify an [http://duh.org explicit link]
with label.

And remember,

	<blockquote>
A TAB in front of the line does a quotation.
		<blockquote>
More TABs, more depth (if allowed).
		</blockquote>
	</blockquote>

Nice.

== Lists ==

A list of items is natural, just putting a '''dash''' or
a '''plus''' at the beginning of the line.

=== Plain List ===

The dash is the default list identifier. For sublists,
just add '''spaces''' at the beginning of the line. More
spaces, more sublists.

* earth
** america
*** south america
**** brazil
***** how deep can i go?
** europe
*** lots of countries
* mars
** who knows?

The list ends with '''two''' consecutive blank lines.

=== Numbered List ===

The same rules as the plain list, just a different
identifier (plus).

# one
# two
# three
** mixed lists!
** what a mess
### counting again
### ...
# four

=== Definition List ===

The definition list identifier is a colon, followed by
the term. The term contents is placed on the next line.

; orange
: a yellow fruit
; apple
: a green or red fruit
; other fruits
** wee!
** mixing lists
### again!
### and again!

== Tables ==

Use pipes to compose table rows and cells.
Double pipe at the line beginning starts a heading row.
Natural spaces specify each cell alignment.

{| align="center" border="1" cellpadding="4"
|-
! heading 1 !! heading 2 !! heading 3
|-
| cell 1.1 || cell 1.2 || cell 1.3
|-
| cell 2.1 || cell 2.2 || cell 2.3
|}

Without the last pipe, no border:

{| align="center" cellpadding="4"
|-
! heading 1 !! heading 2 !! heading 3
|-
| cell 1.1 || cell 1.2 || cell 1.3
|-
| cell 2.1 || cell 2.2 || cell 2.3
|}

== Special Entities ==

Because things were too simple.

=== Images ===

The image mark is as simple as it can be: <tt>[filename]</tt>.

[[Image:img/photo.jpg|center]]

* The filename must end in PNG, JPG, GIF, or similar.
* No spaces inside the brackets!

----

[[Image:img/t2tpowered.png|center]]

